// FullAccess
resource "azurerm_role_definition" "azure_site_recovery_fullaccess_definition" {
  name              = "azure-site-recovery-fullaccess-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = [
      "Microsoft.RecoveryServices/register/action",
      "Microsoft.RecoveryServices/Vaults/usages/read",
      "Microsoft.RecoveryServices/vaults/usages/read",
      "Microsoft.RecoveryServices/Vaults/backupUsageSummaries/read",
      "Microsoft.RecoveryServices/Vaults/backupstorageconfig/read",
      "Microsoft.RecoveryServices/Vaults/backupstorageconfig/write",
      "Microsoft.RecoveryServices/Vaults/backupconfig/read",
      "Microsoft.RecoveryServices/Vaults/backupconfig/write",
      "Microsoft.RecoveryServices/Vaults/backupJobsExport/action",
      "Microsoft.RecoveryServices/Vaults/backupSecurityPIN/action",
      "Microsoft.RecoveryServices/Vaults/backupValidateOperation/action",
      "Microsoft.RecoveryServices/Vaults/write",
      "Microsoft.RecoveryServices/Vaults/read",
      "Microsoft.RecoveryServices/Vaults/delete",
      "Microsoft.RecoveryServices/Vaults/backupOperationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupOperations/read",
      "Microsoft.RecoveryServices/Vaults/backupJobs/cancel/action",
      "Microsoft.RecoveryServices/Vaults/backupJobs/read",
      "Microsoft.RecoveryServices/Vaults/backupJobs/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/provisionInstantItemRecovery/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/restore/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/revokeInstantItemRecovery/action",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/delete",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/read",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/write",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/operations/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/backup/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/write",
      "Microsoft.RecoveryServices/Vaults/backupProtectedItems/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/operationsStatus/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectableItems/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/refreshContainers/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectionContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/inquire/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/write",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupEngines/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/write",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectableContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/items/read",
      "Microsoft.RecoveryServices/Locations/backupPreValidateProtection/action",
      "Microsoft.RecoveryServices/Locations/backupStatus/action",
      "Microsoft.RecoveryServices/Locations/backupValidateFeatures/action",
      "Microsoft.RecoveryServices/locations/allocateStamp/action",
      "Microsoft.RecoveryServices/locations/checkNameAvailability/action",
      "Microsoft.RecoveryServices/vaults/replicationAlertSettings/read",
      "Microsoft.RecoveryServices/vaults/replicationAlertSettings/write",
      "Microsoft.RecoveryServices/vaults/replicationEvents/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectableItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/recoveryPoints/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/plannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/unplannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/testFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/testFailoverCleanup/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/failoverCommit/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/reProtect/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/updateMobilityService/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/repairReplication/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/applyRecoveryPoint/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/submitFeedback/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/addDisks/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/removeDisks/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/ResolveHealthErrors/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/read",
      "Microsoft.RecoveryServices/vaults/replicationJobs/cancel/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/restart/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/resume/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/discoverProtectableItem/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/switchprotection/action",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/read",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/write",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/delete",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/read",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/write",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/delete",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/plannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/unplannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/testFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/testFailoverCleanup/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/failoverCommit/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/reProtect/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/refreshProvider/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/checkConsistency/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/renewcertificate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/deployProcessServerImage/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/reassociateGateway/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/migratetoaad/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/delete",
      "Microsoft.RecoveryServices/Vaults/vaultTokens/read",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/write",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/read",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/delete",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/certificates/write",
      "Microsoft.RecoveryServices/Vaults/monitoringAlerts/read",
      "Microsoft.RecoveryServices/Vaults/monitoringAlerts/write",
      "Microsoft.RecoveryServices/Vaults/monitoringConfigurations/read",
      "Microsoft.RecoveryServices/Vaults/monitoringConfigurations/write",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/read",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/write",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/delete",
      "Microsoft.RecoveryServices/locations/allocatedStamp/read",
      "Microsoft.RecoveryServices/operations/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationLogicalNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationNetworkMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectionContainerMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/targetComputeSizes/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectionContainers/read",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryServicesProviders/read",
      "Microsoft.RecoveryServices/vaults/replicationStorageClassifications/read",
      "Microsoft.RecoveryServices/vaults/replicationStorageClassificationMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationUsages/read",
      "Microsoft.RecoveryServices/vaults/replicationvCenters/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultHealth/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultHealth/refresh/action",
      "Microsoft.RecoveryServices/locations/operationStatus/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectionIntents/read",
      "Microsoft.RecoveryServices/vaults/replicationMigrationItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/testMigrate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/testMigrateCleanup/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrationRecoveryPoints/read",
      "Microsoft.RecoveryServices/vaults/replicationSupportedOperatingSystems/read",
      "Microsoft.RecoveryServices/Locations/backupProtectedItem/write",
      "Microsoft.RecoveryServices/Locations/backupProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultSettings/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultSettings/write",
    ]

    not_actions = []
  }
}

// ReadOnly
resource "azurerm_role_definition" "azure_site_recovery_readonly_definition" {
  name              = "azure-site-recovery-readonly-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = [
      "Microsoft.RecoveryServices/Vaults/usages/read",
      "Microsoft.RecoveryServices/vaults/usages/read",
      "Microsoft.RecoveryServices/Vaults/backupUsageSummaries/read",
      "Microsoft.RecoveryServices/Vaults/backupstorageconfig/read",
      "Microsoft.RecoveryServices/Vaults/backupconfig/read",
      "Microsoft.RecoveryServices/Vaults/read",
      "Microsoft.RecoveryServices/Vaults/backupOperationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupOperations/read",
      "Microsoft.RecoveryServices/Vaults/backupJobs/read",
      "Microsoft.RecoveryServices/Vaults/backupJobs/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/read",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/read",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/operations/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectedItems/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/operationsStatus/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectableItems/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectionContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupEngines/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectableContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/items/read",
      "Microsoft.RecoveryServices/vaults/replicationAlertSettings/read",
      "Microsoft.RecoveryServices/vaults/replicationEvents/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectableItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/recoveryPoints/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationJobs/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/read",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/read",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/read",
      "Microsoft.RecoveryServices/Vaults/vaultTokens/read",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/read",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/monitoringAlerts/read",
      "Microsoft.RecoveryServices/Vaults/monitoringConfigurations/read",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/read",
      "Microsoft.RecoveryServices/locations/allocatedStamp/read",
      "Microsoft.RecoveryServices/operations/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationLogicalNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationNetworkMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectionContainerMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/targetComputeSizes/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectionContainers/read",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryServicesProviders/read",
      "Microsoft.RecoveryServices/vaults/replicationStorageClassifications/read",
      "Microsoft.RecoveryServices/vaults/replicationStorageClassificationMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationUsages/read",
      "Microsoft.RecoveryServices/vaults/replicationvCenters/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultHealth/read",
      "Microsoft.RecoveryServices/locations/operationStatus/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectionIntents/read",
      "Microsoft.RecoveryServices/vaults/replicationMigrationItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrationRecoveryPoints/read",
      "Microsoft.RecoveryServices/vaults/replicationSupportedOperatingSystems/read",
      "Microsoft.RecoveryServices/Locations/backupProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultSettings/read",
    ]

    not_actions = [
      "Microsoft.RecoveryServices/register/action",
      "Microsoft.RecoveryServices/Vaults/backupstorageconfig/write",
      "Microsoft.RecoveryServices/Vaults/backupconfig/write",
      "Microsoft.RecoveryServices/Vaults/backupJobsExport/action",
      "Microsoft.RecoveryServices/Vaults/backupSecurityPIN/action",
      "Microsoft.RecoveryServices/Vaults/backupValidateOperation/action",
      "Microsoft.RecoveryServices/Vaults/write",
      "Microsoft.RecoveryServices/Vaults/delete",
      "Microsoft.RecoveryServices/Vaults/backupJobs/cancel/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/provisionInstantItemRecovery/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/restore/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/revokeInstantItemRecovery/action",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/delete",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/write",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/backup/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/write",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/refreshContainers/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/inquire/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/write",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/write",
      "Microsoft.RecoveryServices/Locations/backupPreValidateProtection/action",
      "Microsoft.RecoveryServices/Locations/backupStatus/action",
      "Microsoft.RecoveryServices/Locations/backupValidateFeatures/action",
      "Microsoft.RecoveryServices/locations/allocateStamp/action",
      "Microsoft.RecoveryServices/locations/checkNameAvailability/action",
      "Microsoft.RecoveryServices/vaults/replicationAlertSettings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/plannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/unplannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/testFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/testFailoverCleanup/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/failoverCommit/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/reProtect/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/updateMobilityService/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/repairReplication/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/applyRecoveryPoint/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/submitFeedback/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/addDisks/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/removeDisks/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/ResolveHealthErrors/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/cancel/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/restart/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/resume/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/discoverProtectableItem/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/switchprotection/action",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/write",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/delete",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/write",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/delete",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/plannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/unplannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/testFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/testFailoverCleanup/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/failoverCommit/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/reProtect/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/refreshProvider/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/checkConsistency/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/renewcertificate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/deployProcessServerImage/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/reassociateGateway/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/migratetoaad/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/delete",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/write",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/delete",
      "Microsoft.RecoveryServices/Vaults/certificates/write",
      "Microsoft.RecoveryServices/Vaults/monitoringAlerts/write",
      "Microsoft.RecoveryServices/Vaults/monitoringConfigurations/write",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/write",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/delete",
      "Microsoft.RecoveryServices/vaults/replicationVaultHealth/refresh/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/testMigrate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/testMigrateCleanup/action",
      "Microsoft.RecoveryServices/Locations/backupProtectedItem/write",
      "Microsoft.RecoveryServices/vaults/replicationVaultSettings/write",
    ]
  }
}

// NoAccess
resource "azurerm_role_definition" "azure_site_recovery_noaccess_definition" {
  name              = "azure-site-recovery-noaccess-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = []

    not_actions = [
      "Microsoft.RecoveryServices/register/action",
      "Microsoft.RecoveryServices/Vaults/usages/read",
      "Microsoft.RecoveryServices/vaults/usages/read",
      "Microsoft.RecoveryServices/Vaults/backupUsageSummaries/read",
      "Microsoft.RecoveryServices/Vaults/backupstorageconfig/read",
      "Microsoft.RecoveryServices/Vaults/backupstorageconfig/write",
      "Microsoft.RecoveryServices/Vaults/backupconfig/read",
      "Microsoft.RecoveryServices/Vaults/backupconfig/write",
      "Microsoft.RecoveryServices/Vaults/backupJobsExport/action",
      "Microsoft.RecoveryServices/Vaults/backupSecurityPIN/action",
      "Microsoft.RecoveryServices/Vaults/backupValidateOperation/action",
      "Microsoft.RecoveryServices/Vaults/write",
      "Microsoft.RecoveryServices/Vaults/read",
      "Microsoft.RecoveryServices/Vaults/delete",
      "Microsoft.RecoveryServices/Vaults/backupOperationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupOperations/read",
      "Microsoft.RecoveryServices/Vaults/backupJobs/cancel/action",
      "Microsoft.RecoveryServices/Vaults/backupJobs/read",
      "Microsoft.RecoveryServices/Vaults/backupJobs/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/provisionInstantItemRecovery/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/restore/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/revokeInstantItemRecovery/action",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/delete",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/read",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/write",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupPolicies/operations/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/backup/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/write",
      "Microsoft.RecoveryServices/Vaults/backupProtectedItems/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/protectedItems/operationsStatus/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectableItems/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/refreshContainers/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectionContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/inquire/action",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/write",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/backupEngines/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/delete",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/backupProtectionIntent/write",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectableContainers/read",
      "Microsoft.RecoveryServices/Vaults/backupFabrics/protectionContainers/items/read",
      "Microsoft.RecoveryServices/Locations/backupPreValidateProtection/action",
      "Microsoft.RecoveryServices/Locations/backupStatus/action",
      "Microsoft.RecoveryServices/Locations/backupValidateFeatures/action",
      "Microsoft.RecoveryServices/locations/allocateStamp/action",
      "Microsoft.RecoveryServices/locations/checkNameAvailability/action",
      "Microsoft.RecoveryServices/vaults/replicationAlertSettings/read",
      "Microsoft.RecoveryServices/vaults/replicationAlertSettings/write",
      "Microsoft.RecoveryServices/vaults/replicationEvents/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectableItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/recoveryPoints/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/plannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/unplannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/testFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/testFailoverCleanup/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/failoverCommit/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/reProtect/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/updateMobilityService/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/repairReplication/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/applyRecoveryPoint/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/submitFeedback/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/addDisks/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/removeDisks/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/ResolveHealthErrors/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/read",
      "Microsoft.RecoveryServices/vaults/replicationJobs/cancel/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/restart/action",
      "Microsoft.RecoveryServices/vaults/replicationJobs/resume/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/discoverProtectableItem/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/switchprotection/action",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/read",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/write",
      "Microsoft.RecoveryServices/vaults/replicationPolicies/delete",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/read",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/write",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/delete",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/plannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/unplannedFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/testFailover/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/testFailoverCleanup/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/failoverCommit/action",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans/reProtect/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationRecoveryServicesProviders/refreshProvider/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/remove/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/checkConsistency/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/renewcertificate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/deployProcessServerImage/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/reassociateGateway/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/migratetoaad/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationvCenters/delete",
      "Microsoft.RecoveryServices/Vaults/vaultTokens/read",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/write",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/read",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/delete",
      "Microsoft.RecoveryServices/Vaults/registeredIdentities/operationResults/read",
      "Microsoft.RecoveryServices/Vaults/certificates/write",
      "Microsoft.RecoveryServices/Vaults/monitoringAlerts/read",
      "Microsoft.RecoveryServices/Vaults/monitoringAlerts/write",
      "Microsoft.RecoveryServices/Vaults/monitoringConfigurations/read",
      "Microsoft.RecoveryServices/Vaults/monitoringConfigurations/write",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/read",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/write",
      "Microsoft.RecoveryServices/Vaults/extendedInformation/delete",
      "Microsoft.RecoveryServices/locations/allocatedStamp/read",
      "Microsoft.RecoveryServices/operations/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationLogicalNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationNetworks/read",
      "Microsoft.RecoveryServices/vaults/replicationNetworkMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectionContainerMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/targetComputeSizes/read",
      "Microsoft.RecoveryServices/vaults/replicationProtectionContainers/read",
      "Microsoft.RecoveryServices/vaults/replicationRecoveryServicesProviders/read",
      "Microsoft.RecoveryServices/vaults/replicationStorageClassifications/read",
      "Microsoft.RecoveryServices/vaults/replicationStorageClassificationMappings/read",
      "Microsoft.RecoveryServices/vaults/replicationUsages/read",
      "Microsoft.RecoveryServices/vaults/replicationvCenters/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultHealth/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultHealth/refresh/action",
      "Microsoft.RecoveryServices/locations/operationStatus/read",
      "Microsoft.RecoveryServices/Vaults/backupProtectionIntents/read",
      "Microsoft.RecoveryServices/vaults/replicationMigrationItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/read",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/write",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/delete",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/testMigrate/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/testMigrateCleanup/action",
      "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrationRecoveryPoints/read",
      "Microsoft.RecoveryServices/vaults/replicationSupportedOperatingSystems/read",
      "Microsoft.RecoveryServices/Locations/backupProtectedItem/write",
      "Microsoft.RecoveryServices/Locations/backupProtectedItems/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultSettings/read",
      "Microsoft.RecoveryServices/vaults/replicationVaultSettings/write",
    ]
  }
}
